List all payments
curl --request GET \
--url https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payments \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging.api.commercengine.io/api/v1/{store_id}/admin/orders/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"success": true,
"content": {
"payments": [
{
"transaction_type": "payment",
"request_number": "<string>",
"transaction_date": "2023-11-07T05:31:56Z",
"transaction_amount": 123,
"settled_amount": 0,
"unsettled_amount": 0,
"payment_method": "Credit Card",
"payment_reference_number": "<string>",
"payment_mode": "bank-transfer",
"payment_gateway": "juspay",
"status": "pending",
"customer_id": "<string>",
"customer_name": "<string>",
"icon_url": "<string>",
"card_number": "<string>",
"card_type": "<string>"
}
],
"pagination": {
"total_records": 123,
"total_pages": 123,
"previous_page": 123,
"limit": 25,
"next_page": 123
}
}
}Payments
List all payments
List all payments
GET
/
orders
/
payments
List all payments
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
page number of pagination list
Required range:
x >= 1no of rows per page
Required range:
x >= 1JSON string format: {"field1":"asc", "field2":"desc"} json string in format {'field_name':'asc', 'other_field_name':'desc', ...}
JSON object
Example:
"{\"condition\":\"AND\",\"filters\":[{\"type\":\"data\",\"field\":\"status\",\"operator\":\"equals\",\"value\":\"success\"}]}"
search keyword
Was this page helpful?
⌘I